#!/usr/bin/env python3
#Curious Greg - Curious Cat to Mastodon crossposter
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

import requests, sqlite3, json
from mastodon import Mastodon
from flask import Flask, session
from flask.ext.session import Session

cfg = json.load(open("meta.json"))

app = Flask(cfg['name'])
SESSION_TYPE = 'filesystem'
app.config.from_object(cfg['name'])
Session(app)

db = sqlite3.connect("database.db")
c = db.cursor()

c.execute("CREATE TABLE IF NOT EXISTS `data` (username VARCHAR NOT NULL, appid VARCHAR NOT NULL, appsecret VARCHAR NOT NULL, secret VARCHAR NOT NULL, latest_post VARCHAR)")

print("Registering app...")
client_id, client_secret = Mastodon.create_app(cfg['name'],
	api_base_url=instance_url,
	scopes="write:statuses",
	website="https://git.lynnesbian.space/lynnesbian/curious-greg")

client = Mastodon(client_id = client_id,
		client_secret = client_secret,
		api_base_url=instance_url)
